package com.xydl.cac.controller;

import com.xydl.cac.entity.Bdz;
import com.xydl.cac.model.Response;
import com.xydl.cac.service.ParamBindService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

@RestController
@Api(tags = {"参数绑定相关接口"})
@RequestMapping("parambind")
@Slf4j
public class ParamBindController extends BasicController {

    @Resource
    ParamBindService bindService;

    @GetMapping("getTree")
    @ApiOperation("查询树")
    public Response<List<Bdz>> getTree() throws Exception {
        List<Bdz> result = bindService.getTree();
        return Response.success(result);
    }

}
