package com.xydl.cac.service.impl;

import com.xydl.cac.entity.Bdz;
import com.xydl.cac.entity.Jg;
import com.xydl.cac.entity.Modev;
import com.xydl.cac.entity.Zsb;
import com.xydl.cac.repository.BdzRepository;
import com.xydl.cac.repository.JgRepository;
import com.xydl.cac.repository.ModevRepository;
import com.xydl.cac.repository.ZsbRepository;
import com.xydl.cac.service.ParamBindService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.util.CollectionUtils;

import javax.annotation.Resource;
import java.util.List;

@Service
@Slf4j
@Transactional(rollbackFor = Exception.class)
public class ParamBindServiceImpl implements ParamBindService {

    @Resource
    BdzRepository bdzRepository;
    @Resource
    JgRepository jgRepository;
    @Resource
    ZsbRepository zsbRepository;
    @Resource
    ModevRepository modevRepository;

    @Override
    public List<Bdz> getTree() throws Exception {
        List<Bdz> bdzList = bdzRepository.findAll();
        for (Bdz bdz : bdzList) {
            List<Jg> jgList = jgRepository.findByBdzid(bdz.getId());
            bdz.setChildren(jgList);
            for (Jg jg : jgList) {
                jg.setBdzName(bdz.getMc());
                List<Zsb> zsbList = zsbRepository.findByJgid(jg.getId());
                jg.setChildren(zsbList);
                for (Zsb zsb : zsbList) {
                    zsb.setBdzName(bdz.getMc());
                    zsb.setJgName(jg.getMc());
                    List<Modev> modevList = modevRepository.findByZsbid(zsb.getId());
                    zsb.setChildren(modevList);
                }
            }
        }
        return bdzList;
    }
}
